# -*- coding: utf-8 -*-
# Copyright (c) 2021-2022 THL A29 Limited
#
# This source code file is made available under MIT License
# See LICENSE for details
# ==============================================================================

"""
Login服务
数据表格生成脚本
"""
# Generated by Django 3.1.12 on 2021-11-19 01:18

import django.utils.timezone
from django.conf import settings
from django.db import migrations, models

import login.models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='UserInfo',
            fields=[
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('uid', models.CharField(default=login.models.gen_id, max_length=20, primary_key=True, serialize=False,
                                         unique=True)),
                ('nickname', models.CharField(max_length=1000)),
                ('avatar_url', models.CharField(max_length=500)),
                ('city', models.CharField(default='', max_length=150)),
                ('province', models.CharField(default='', max_length=150)),
                ('country', models.CharField(default='', max_length=100)),
                ('phone', models.CharField(default='', max_length=30)),
                ('mail', models.CharField(default='', max_length=120)),
                ('gender_type', models.IntegerField(choices=[(2, 'female'), (1, 'male'), (0, 'unknown')], default=0)),
                ('is_active', models.BooleanField(default=True)),
                ('username', models.CharField(default='', max_length=100)),
                ('password', models.CharField(default='', max_length=100)),
                ('create_time', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date published')),
                ('update_time', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date updated')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='UserAuth',
            fields=[
                ('uid', models.CharField(default=login.models.gen_id, max_length=20, primary_key=True, serialize=False,
                                         unique=True)),
                ('identity_type', models.CharField(max_length=20)),
                ('identifier', models.CharField(max_length=100)),
                ('credential', models.CharField(max_length=300)),
                ('verified', models.IntegerField(default=0)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                           to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
